function [ rotaxis ] = vectorcheck( rotaxis )
%UNTITLED4 Summary of this function goes here
%   Detailed explanation goes here
for i=1:length(rotaxis)
    %Check position of vectors
    if abs(rotaxis{i}(1,2)) > abs(rotaxis{i}(2,1)) && ...
            abs(rotaxis{i}(1,1)) > abs(rotaxis{i}(1,2))
        mat=rotaxis{i};
        A=mat(:,1);
        B=mat(:,2);
        C=mat(:,3);
        rotaxis{i}=[B A C];
    end
    if abs(rotaxis{i}(2,2)) > abs(rotaxis{i}(2,1))
        mat=rotaxis{i};
        A=mat(:,1);
        B=mat(:,2);
        C=mat(:,3);
        rotaxis{i}=[B A C];
    end
    %Check if vector is rotated 180 degrees
    if rotaxis{i}(1,2) > 0
        mat=rotaxis{i};
        A=mat(:,1);
        B=mat(:,2);
        C=mat(:,3);
        rotaxis{i}=[A -B C];
    end
    %Check if vector is rotated 180 degrees
    if rotaxis{i}(2,1) < 0
        mat=rotaxis{i};
        A=mat(:,1);
        B=mat(:,2);
        C=mat(:,3);
        rotaxis{i}=[-A B C];
    end
    
end

